Custom field templates do not work under Redmine 2.2.x

22 Jan 2013 08:31 - Dipan Mehta

Status: Closed Start date: 22 Jan 2013

Priority: Normal Due date: 27 Jan 2013

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.2.1   

Redmine version: 2.1.5 External issue:  

Description

I am very keen on this plug-in as it is a very critical functionality and very effective.

I am following Bug #2116 - facing the same set of errors.

Based on the discussion, I followed the link and used different latest releases from SVN.

Here is the overall findings:

1. with standard release 0.2.0b - all fields are visible properly. However, updating of issue (whether or not it has custom issue such

as wiki, link. The version works fine if all emails are turned off! This was what was hinted upon #2116.

2. I took SVN check out with -r 72 which produces ActionView::Template::Error as also listed in #2116.

3. With SVN check out -r 74 as well as head (currently @76) the issue updates works pretty fine. However the wiki-text type issues

are no longer showing the 'wiki_effect’ - so the text like

Test issue - _format_ *check* 

 

appears just as it is in issue display. So something has gone wrong somewhere. I don’t see any error in redmine.log.

My environment:

Environment:

Redmine version                          2.1.5.stable

Ruby version                             1.9.3 (i686-linux)

Rails version                            3.2.8

Environment                              production

Database adapter                         Mysql2

Redmine plugins:

extended_fields                          0.2.1

redmine_banner                           0.0.8

redmine_code_review                      0.6.1

redmine_issue_checklist                  2.0.4

redmine_logs                             0.0.5

redmine_release_notes                    1.2.0

Please help - and thanks for all the support so far.

Related issues:

Related to Extended Fields - Bug #2133: Rendering HTML for email Closed 11 Dec 2012 27 Jan 2013

Associated revisions

Revision 81 - 27 Jan 2013 13:37 - Andriy Lesyuk

A fix for Redmine 2.2.x and a lot of debugging code for #2140

Revision 82 - 27 Jan 2013 14:08 - Andriy Lesyuk

Applied fix for #2140 and #2133
Revision 83 - 27 Jan 2013 14:11 - Andriy Lesyuk

Applied a temporary fix for #2140

History

#1 - 22 Jan 2013 08:42 - Dipan Mehta

Sorry I was referring to #2115 and #2116 - interchangeably. However, I have followed all instructions on both.

#2 - 22 Jan 2013 09:56 - Andriy Lesyuk

- Status changed from New to Incomplete

- Assignee set to Andriy Lesyuk

So the issue is that Wiki custom fields get rendered as they are (without formatting)?

#3 - 22 Jan 2013 12:23 - Dipan Mehta

Yes. It shows the text as is, without formatting.

#4 - 22 Jan 2013 12:40 - Andriy Lesyuk

Yes. It shows the text as is, without formatting.

 

Is this the only issue?

#5 - 22 Jan 2013 14:36 - Dipan Mehta

Yes. This is the only issue.

Andriy Lesyuk wrote:

Yes. It shows the text as is, without formatting.

 

Is this the only issue?

#6 - 24 Jan 2013 10:27 - Andriy Lesyuk

- Status changed from Incomplete to Open

- Target version set to 0.2.1
#8 - 26 Jan 2013 22:29 - Andriy Lesyuk

- Subject changed from Error updating custom field that has template #2 (Again) to Custom field templates do not work under Redmine 2.2.x

#9 - 27 Jan 2013 14:09 - Andriy Lesyuk

- Due date set to 27 Jan 2013

- Status changed from Open to Closed

- % Done changed from 0 to 100

#10 - 18 Feb 2013 14:46 - Dipan Mehta

Thanks. This works now.

I have also tested this with the latest 2.2.3.

(Sorry for a delayed feedback.)
